package pay_recharge

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/pay_recharge"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /pay_recharge pay_recharge GetPayRechargeById
//
// Get pay recharge by ID | 通过ID获取PayRecharge
//
// Get pay recharge by ID | 通过ID获取PayRecharge
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDReq
//
// Responses:
//  200: PayRechargeInfoResp

func GetPayRechargeByIdHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := pay_recharge.NewGetPayRechargeByIdLogic(r.Context(), svcCtx)
		resp, err := l.GetPayRechargeById(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
